package com.aiup.service.entity;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * (XhsNotesBase)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:49
 */

@ApiModel("")
public class XhsNotesBase implements Serializable {
    private static final long serialVersionUID = 991409182732028918L;
        
    @ApiModelProperty(value = "${column.comment}")
    private Integer id;
    /**
     * 文章id
     */    
    @ApiModelProperty(value = "文章id")
    private String noteId;
    /**
     * user_id
     */    
    @ApiModelProperty(value = "user_id")
    private String userId;
    /**
     * 收藏数
     */    
    @ApiModelProperty(value = "收藏数")
    private Long collected;
    /**
     * 评论数
     */    
    @ApiModelProperty(value = "评论数")
    private Long commentCount;
    /**
     * 喜欢数
     */    
    @ApiModelProperty(value = "喜欢数")
    private Long liked;
    /**
     * 分享数
     */    
    @ApiModelProperty(value = "分享数")
    private Long shareCount;
    /**
     * 发布时间
     */    
    @ApiModelProperty(value = "发布时间")
    private Integer publishTime;
    /**
     * 笔记类型（normal：图文笔记，video：视频笔记）
     */    
    @ApiModelProperty(value = "笔记类型（normal：图文笔记，video：视频笔记）")
    private String type;
    /**
     * 笔记内容
     */    
    @ApiModelProperty(value = "笔记内容")
    private String content;
    /**
     * 笔记标题
     */    
    @ApiModelProperty(value = "笔记标题")
    private String title;
    /**
     * 笔记链接
     */    
    @ApiModelProperty(value = "笔记链接")
    private String posturl;
    /**
     * 笔记封面图
     */    
    @ApiModelProperty(value = "笔记封面图")
    private String imageurl;
    /**
     * 判断是否被删除0-没有 1-删除 2暂时无法展示
     */    
    @ApiModelProperty(value = "判断是否被删除0-没有 1-删除 2暂时无法展示")
    private Integer isDel;
    /**
     * 创建时间戳
     */    
    @ApiModelProperty(value = "创建时间戳")
    private Integer createTime;
    /**
     * 更新时间戳
     */    
    @ApiModelProperty(value = "更新时间戳")
    private Integer updateTime;
    /**
     * 是否合作用户，1就是商业笔记
     */    
    @ApiModelProperty(value = "是否合作用户，1就是商业笔记")
    private Integer cooperateUser;
    /**
     * 合作品牌名称
     */    
    @ApiModelProperty(value = "合作品牌名称")
    private String cooperateWord;
    /**
     * 视频时长
     */    
    @ApiModelProperty(value = "视频时长")
    private Integer duration;
    /**
     * 合作品牌id
     */    
    @ApiModelProperty(value = "合作品牌id")
    private String cooperateId;
    /**
     * 阅读数
     */    
    @ApiModelProperty(value = "阅读数")
    private Long readCount;
    /**
     * 特色标签
     */    
    @ApiModelProperty(value = "特色标签")
    private String featureTags;
    /**
     * 笔记曝光量
     */    
    @ApiModelProperty(value = "笔记曝光量")
    private Long impNum;
    /**
     * 笔记分类
     */    
    @ApiModelProperty(value = "笔记分类")
    private String category;
    /**
     * 图片列表
     */    
    @ApiModelProperty(value = "图片列表")
    private String imgList;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNoteId() {
        return noteId;
    }

    public void setNoteId(String noteId) {
        this.noteId = noteId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Long getCollected() {
        return collected;
    }

    public void setCollected(Long collected) {
        this.collected = collected;
    }

    public Long getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(Long commentCount) {
        this.commentCount = commentCount;
    }

    public Long getLiked() {
        return liked;
    }

    public void setLiked(Long liked) {
        this.liked = liked;
    }

    public Long getShareCount() {
        return shareCount;
    }

    public void setShareCount(Long shareCount) {
        this.shareCount = shareCount;
    }

    public Integer getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Integer publishTime) {
        this.publishTime = publishTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPosturl() {
        return posturl;
    }

    public void setPosturl(String posturl) {
        this.posturl = posturl;
    }

    public String getImageurl() {
        return imageurl;
    }

    public void setImageurl(String imageurl) {
        this.imageurl = imageurl;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Integer getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Integer createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Integer updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getCooperateUser() {
        return cooperateUser;
    }

    public void setCooperateUser(Integer cooperateUser) {
        this.cooperateUser = cooperateUser;
    }

    public String getCooperateWord() {
        return cooperateWord;
    }

    public void setCooperateWord(String cooperateWord) {
        this.cooperateWord = cooperateWord;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public String getCooperateId() {
        return cooperateId;
    }

    public void setCooperateId(String cooperateId) {
        this.cooperateId = cooperateId;
    }

    public Long getReadCount() {
        return readCount;
    }

    public void setReadCount(Long readCount) {
        this.readCount = readCount;
    }

    public String getFeatureTags() {
        return featureTags;
    }

    public void setFeatureTags(String featureTags) {
        this.featureTags = featureTags;
    }

    public Long getImpNum() {
        return impNum;
    }

    public void setImpNum(Long impNum) {
        this.impNum = impNum;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getImgList() {
        return imgList;
    }

    public void setImgList(String imgList) {
        this.imgList = imgList;
    }

}

